Subject: bug#39111: 27.0.60; Tramp offers to save password in ~/.authinfo instead of ~/.authinfo.gpg

From: Pankaj Jangid <[email-masked]>
Date: Thu, 02 Sep 2021 19:26:11 +0530

Lars Ingebrigtsen <[email-masked]> writes:

>> If you want to debug tramp-read-passwd calling auth-source-search, you
>> can do the trick by
>>
>> # emacs -Q --eval '(setq tramp-cache-read-persistent-data t)'
>>
>> It's a dirty trick to be applied only for this use case. I've added a
>> comment to tramp-read-passwd explaining this, pushed to master.
>
> Thanks; then everything here seems to be working as intended -- at least
> in my tests.  Pankaj -- were you testing with "-Q"?  As far as I can
> tell, Emacs is prompting and saving passwords properly with Emacs 28.

I have tried to redo this using ‘emacs -Q’ as well as without using the
option ‘-Q’. Emacs is not asking to save the password in my auth file,
in both the cases.

Value of ‘auth-sources’ is currently set to ("~/.authinfo.gpg").